#!/bin/bash

set -e

PLUGIN_HOST=${PLUGIN_HOST:-git.autonomic.zone}
PLUGIN_PORT=${PLUGIN_PORT:-2222}

load_deploy_key() {
  echo "--- start ssh key load ---"
  mkdir -p "$HOME/.ssh/"
  ssh-keyscan -p "$PLUGIN_PORT" "$PLUGIN_HOST" > "$HOME/.ssh/known_hosts"

  # shellcheck disable=SC2046,SC2006
  eval `ssh-agent`
  echo "$PLUGIN_DEPLOY_KEY" | ssh-add -
  echo "--- end ssh key load ---"
}

output_versions(){
  echo "--- start versions"
  abra version
  echo "--- end versions"
}

run_abra_cmd() {
  echo "--- start deploy ---"
  abra --debug --no-prompt "$PLUGIN_COMMAND"
  echo "--- end deploy ---"
}

run_plugin() {
  echo "--- start drone-abra ---"
  load_deploy_key
  output_versions

  echo "--- end drone-abra ---"
}

run_plugin
